> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cadanapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create

> Create a contract



## OpenAPI

````yaml /openapi/workforce-management.yaml post /v1/contracts
openapi: 3.0.0
info:
  description: APIs for interacting with Cadana Payroll Platform
  version: 1.0.0
  title: Business Workforce Management
  termsOfService: https://cadanapay.com/terms-and-conditions
  contact:
    email: api@cadanapay.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.cadanapay.com
    description: Prod Server
  - url: https://dev-api.cadanapay.com
    description: Dev Server
security:
  - Authorization: []
tags:
  - name: Custom Auth
    description: APIs for interacting with Custom Authentication
  - name: Persons
    description: APIs for interacting with the HR module
  - name: Milestones
    description: APIs for milestone-based contractor pay
  - name: Instant Pay
    description: APIs for interacting with Instant Pay functionality
  - name: Users
    description: APIs for interacting with employee/contractor Cadana accounts
  - name: Files
    description: APIs for interacting with file uploads
  - name: Payrolls
    description: APIs for interacting with Payroll
  - name: Platform
    description: Platform APIs for interacting with businesses
  - name: Businesses
    description: APIs for interacting with Business
  - name: Contracts
    description: APIs for interacting with contracts
  - name: Sandbox
    description: APIs for relevant sandbox simulations
  - name: Invoices
    description: APIs for interacting with invoices
  - name: Reimbursements
    description: APIs for interacting with reimbursements
  - name: Entities
    description: >-
      APIs for managing legal sub-entities (subsidiaries, branches) under a
      parent business
paths:
  /v1/contracts:
    post:
      tags:
        - Contracts
      summary: Create
      description: Create a contract
      operationId: createContracts
      parameters:
        - $ref: '#/components/parameters/XMultiTenantKey'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateContractRequest'
      responses:
        '200':
          description: create contract response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    $ref: '#/components/schemas/uuid'
                  name:
                    type: string
                    description: Contract name
                  personId:
                    $ref: '#/components/schemas/uuid'
                  signatures:
                    type: array
                    description: List of signatures required for the contract
                    items:
                      type: object
                      properties:
                        emailAddress:
                          type: string
                          format: email
                          description: Signer's email address
                        id:
                          $ref: '#/components/schemas/uuid'
                        lastViewedAt:
                          type: integer
                          format: int64
                          description: Timestamp when the contract was last viewed
                        name:
                          type: string
                          description: Signer's name
                        order:
                          type: integer
                          description: Signing order
                        signedAt:
                          type: integer
                          format: int64
                          description: Timestamp when the contract was signed
                        status:
                          type: string
                          description: Signature status
                          enum:
                            - unsigned
                            - signed
                  status:
                    type: string
                    description: Contract status
                  subject:
                    type: string
                    description: Contract email subject
                  templateId:
                    $ref: '#/components/schemas/uuid'
                  title:
                    type: string
                    description: Contract title
              example:
                id: ca51f42c-0adc-4a77-8dd1-a03dd4fb955f
                name: Jane Doe - Standard Global Contractor Agreement
                personId: ca51f42c-0adc-4a77-8dd1-a03dd4fb955f
                signatures:
                  - emailAddress: admin@example.com
                    id: ca51f42c-0adc-4a77-8dd1-a03dd4fb955f
                    lastViewedAt: 0
                    name: Admin
                    order: 0
                    signedAt: 0
                    status: unsigned
                  - emailAddress: worker@example.com
                    id: ca51f42c-0adc-4a77-8dd1-a03dd4fb955f
                    lastViewedAt: 0
                    name: Jane Doe
                    order: 1
                    signedAt: 0
                    status: unsigned
                status: awaiting business signature
                subject: The contract is ready for signature
                templateId: ca51f42c-0adc-4a77-8dd1-a03dd4fb955f
                title: Acme Corp has sent you a contract for signature
        '400':
          $ref: '#/components/responses/BadRequestError'
      security:
        - Authorization: []
components:
  parameters:
    XMultiTenantKey:
      name: X-MultiTenantKey
      in: header
      required: false
      schema:
        type: string
      description: >-
        Required when using a Platform API token. The tenant key identifying
        which business to operate on.
  schemas:
    CreateContractRequest:
      type: object
      required:
        - templateId
        - personId
        - sender
      properties:
        templateId:
          $ref: '#/components/schemas/uuid'
        personId:
          $ref: '#/components/schemas/uuid'
        sender:
          $ref: '#/components/schemas/signer'
        suppressNotification:
          type: boolean
          description: >-
            Whether to suppress email notifications (optional, defaults to
            false)
          default: false
    uuid:
      type: string
      format: uuid
      example: 8ef9a712-cdae-4110-b1ea-9ba95abbee6e
    signer:
      type: object
      properties:
        email:
          type: string
          example: batman@gothammail.com
          format: email
        name:
          type: string
          example: Batman Jr
    BadRequestError:
      description: Bad input provided by client
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          properties:
            params:
              description: A map for meta data around the error that occurred
              type: object
      example:
        code: invalid_request_body
        message: The request body provided is not valid
        params:
          field: Value is invalid.
    Error:
      type: object
      properties:
        code:
          description: A machine parsable error code
          type: string
          enum:
            - invalid_request_body
            - resource_not_found
            - forbidden
            - internal_error
        message:
          description: A human readable message describing the error
          type: string
  responses:
    BadRequestError:
      description: Bad input provided by client
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestError'
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      bearerFormat: API_SECRET_KEY

````